Get a plan attachment
SubscriptionV2
Get a plan attachment
The attachment could be in any of the following state:
CREATED - attachment is created in the database, but not provisioned on the telco system
PENDING_FOR_FIRST_USE - ready to be activated on first use
ACTIVE - data can be actively consumed if the allowance is not exhausted
SUSPENDED - data can not be consumed in this state
EXPIRED - validity expired so no data consumption possible
SCHEDULED - ready to be activated at the schedule date & time
GET
Get a plan attachment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
esim ICCID or subscription id
id of the plan attachment
Response
200 - application/json
OK
Available options:
CREATED, PENDING_FOR_FIRST_USE, SCHEDULED, ACTIVE, EXPIRED, SUSPENDED Example:
{
"dataBytes": 1024,
"voiceSeconds": 60,
"smsMessages": 100
}Example:
{
"name": "Australia 1GB 7d",
"dataMegaBytes": 1024,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"label": "alpha",
"coverageProfileId": "cvpr_ybrs38es"
}